<?php
if (!defined ("LOCAL_SECURITY_KEY"))
 die ();
include($_SERVER["DOCUMENT_ROOT"]."/Site/mysql.php");

// Change: your company name
$config['Company_Name']          = 'SprinterVPN';
$config['Company_Logo']          = '/Image/OpenVPN-small.gif';
// Change: your company home page
$config['URL_Home_Page']         = 'http://vpn.sprinternet.at/index.php';
$config['AUTH_REALM']            = $config['Company_Name'] .' Web GUI v.1.0.0';
// What files to include into ZIP
$config['Download']['ZIP']['.pem']    = true;
$config['Download']['ZIP']['.key']    = true;
$config['Download']['ZIP']['.csr']    = false;
// All the following files should be placed into downloads folder
$config['Download']['ZIP']['Others'] = array ('readme.txt','ca.crt', 'sprintervpn.ovpn', 'certinstall.sh');
//$config['Download']['ZIP']['Others'] = array ('readme.txt', 'install.cmd', 'tls-auth.key');

// If there are no plugins
//$config['Plugins'] = NULL;
// Otherwise, follow this example:
//$config['Plugins']['PLUGINMANE']['Folder'] = 'FOLDERNAME';

// The post-install helper plugin. Shows if PHP5 has the neccessary functions available
$config['Plugins']['systemcheck']['Folder'] = 'systemcheck';

// OPENVPN ________________________________

// Change: the configuration directory
$config['openvpn']['folder']     = db_getconfval("ovpnconfdir")."/";
// Change: configuration and status file names
$config['openvpn']['config']     = $config['openvpn']['folder'].db_getconfval("ovpnconffile");
$config['openvpn']['status']     = $config['openvpn']['folder']."openvpn-status.log";

// OPENSSL ________________________________

// Change: openssl keys directory
$config['openssl']['folder']     = db_getconfval("ovpnkeydir")."/keys/";
// Change: different folders for Public Certificates, Certificate Requests and Private Keys.
// NOTE: openssl somehow respects only newpem folder (for Public Certificates).
$config['openssl']['pubfolder']  = $config['openssl']['folder'];
$config['openssl']['reqfolder']  = $config['openssl']['folder'];
$config['openssl']['prvfolder']  = $config['openssl']['folder'];
// Change: openssl CA private and public keys
$config['openssl']['CA']['priv'] = $config['openssl']['folder'] .'ca.key';
$config['openssl']['CA']['pub']  = $config['openssl']['folder'] .'ca.crt';
// Change: openssl serial file
$config['openssl']['serial']     = $config['openssl']['folder'] .'serial';
// Change: openssl database
$config['openssl']['database']   = $config['openssl']['folder'] .'index.txt';
// Change: openssl configuration
$config['openssl']['config']     = $config['openvpn']['folder'] .'openssl.cnf';
// NEW OPENSSL CERTIFICATE DEFAULTS _________

// Change all of them as it is done in your easy-rsa/vars
$config['openssl']['default']['expiration']             = 3560;
$config['openssl']['default']['countryName']            = 'AT';
$config['openssl']['default']['stateOrProvinceName']    = 'Tirol';
$config['openssl']['default']['localityName']           = 'Innsbruck';
$config['openssl']['default']['organizationName']       = 'Sprinternet';
$config['openssl']['default']['organizationalUnitName'] = '';
$config['openssl']['default']['commonName']             = '';
$config['openssl']['default']['emailAddress']           = 'vpn@sprinternet.at';

?>
