<?php
	require($_SERVER["DOCUMENT_ROOT"] . $YC_ROOT_PATH . 'core/lib/ui/helper.php');

	$template = db_getconfval("template");

	if($template == null)
		$template = "default";

	$tpl_root = $YC_ROOT_PATH . "templates/" . $template . "/";
?>

<!doctype html>
<html class="no-js">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="keywords" content="YuCo, Youtube, MP3, Converter, Youtubeconverter, Youtube to MP3, MP3 Player" />
		<meta name="rights" content="© sprinternet.at" />
		<meta name="robots" content="index, follow" />
		<meta name="description" content="YuCo is a online Youtube to MP3 Converter! This service is completely without ads!" />

		<title>YuCo - Convert Youtube Videos</title>

		<script type="text/javascript">
			var templateroot = "<?php echo $tpl_root ?>";
		</script>

		<link rel="icon" href="<?php echo $tpl_root ?>img/favicon.ico" type="image/x-icon">
		<link rel="shortcut icon" href="<?php echo $tpl_root ?>img/favicon.ico" type="image/x-icon">
		
		<!--[if lt IE 9]>
			<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/style.css"/>
		<meta name="viewport" content="width=device-width, initial-scale=1"/>
		<!-- Adding "maximum-scale=1" fixes the Mobile Safari auto-zoom bug: http://filamentgroup.com/examples/iosScaleBug/ -->
				
		<!-- JS -->
		<script src="<?php echo $tpl_root ?>js/jquery-1.6.4.min.js"></script>
		<script src="<?php echo $tpl_root ?>js/css3-mediaqueries.js"></script>
		<script src="<?php echo $tpl_root ?>js/custom.js"></script>
		<script src="<?php echo $tpl_root ?>js/tabs.js"></script>
		
		<!-- superfish -->
		<link rel="stylesheet" media="screen" href="<?php echo $tpl_root ?>css/superfish.css" /> 
		<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/hoverIntent.js"></script>
		<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/superfish.js"></script>
		<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/supersubs.js"></script>
		<!-- ENDS superfish -->
		
		<!-- prettyPhoto -->
		<script  src="<?php echo $tpl_root ?>js/prettyPhoto/js/jquery.prettyPhoto.js"></script>
		<link rel="stylesheet" href="<?php echo $tpl_root ?>js/prettyPhoto/css/prettyPhoto.css"  media="screen" />
		<!-- ENDS prettyPhoto -->
		
		<!-- poshytip -->
		<link rel="stylesheet" href="<?php echo $tpl_root ?>js/poshytip-1.1/src/tip-twitter/tip-twitter.css"  />
		<link rel="stylesheet" href="<?php echo $tpl_root ?>js/poshytip-1.1/src/tip-yellowsimple/tip-yellowsimple.css"  />
		<script  src="<?php echo $tpl_root ?>js/poshytip-1.1/src/jquery.poshytip.min.js"></script>
		<!-- ENDS poshytip -->
		
		<!-- GOOGLE FONTS -->
		<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/fonts.css"/>
		
		<!-- Flex Slider -->
		<link rel="stylesheet" href="<?php echo $tpl_root ?>css/flexslider.css" >
		<script src="<?php echo $tpl_root ?>js/jquery.flexslider-min.js"></script>
		<!-- ENDS Flex Slider -->
		
		<!-- Less framework -->
		<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/lessframework.css"/>
		
		<!-- modernizr -->
		<script src="<?php echo $tpl_root ?>js/modernizr.js"></script>
		
		<!-- SKIN -->
		<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/skin.css"/>	

		<!-- MAIN -->
		<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/main.css"/>
		<script type="text/javascript" src="app/ajax/main.js"></script>
		<script type="text/javascript" src="app/ajax/downloader/stats.js"></script>
		<script type="text/javascript" src="app/ajax/downloader/rpc.js"></script>

		<!-- Dynamic songlist -->
		<script src="<?php echo $tpl_root ?>js/ajax/songlist.js"></script>

		<!-- MP3 Player -->
		<link rel="stylesheet" type="text/css" href="<?php echo $tpl_root ?>css/player.css"/>
		<script type="text/javascript" src="app/ajax/player/jquery-jplayer/jquery.jplayer.js"></script>
		<script type="text/javascript" src="app/ajax/player/ttw-music-player.js"></script>
		<script src="app/ajax/player/player.js"></script>
	</head>
	
	<body lang="en">	
		<script>
			document.body.className += ' js-enabled';
		</script>
		<div id="noscript">
			<div class="center jstext">YOU HAVE TO ENABLE JAVASCRIPT TO USE THIS PAGE!</div>
		</div>

		<header class="clearfix">
		
			<div class="wrapper clearfix">
				
				<a title="Startpage" href="index.php" id="logo"><img src="<?php echo $tpl_root ?>img/logo.png" alt="YuCo"></a>
				<h1 class="yc-headline">YuCo - Convert Youtube Videos</h1>
				<nav>
					<ul id="nav" class="sf-menu">
						<li><a href="http://www.sprinternet.at/">HOME</a></li>
						<li>
							<a title="Webmail" href="https://www.sprinternet.at/webapp">WEBMAIL</a>
							<ul>
								<li><a title="Webaccess" href="https://www.sprinternet.at/webaccess">Webaccess</a></li>
							</ul>
						</li>
						<li><a title="Cloud" href="https://www.sprinternet.at/owncloud">CLOUD</a></li>
						<li class="current-menu-item"><a title="Yuco" href="http://yuco.sprinternet.at/">YUCO</a></li>
						<li><a title="Blog" href="http://blog.sprinternet.at">BLOG</a></li>
						<li><a title="Wiki" href="http://www.sprinternet.at/wiki/doku.php?do=login">WIKI</a></li>
						<li><a title="SVN" href="http://svn.sprinternet.at">SVN</a></li>
						<li>
							<a title="Impressum" target="_blank" href="http://blog.sprinternet.at/impressum/">IMPRESSUM</a>
							<ul>
								<li><a title="Terms of Service" target="_blank" href="http://blog.sprinternet.at/terms-of-service/">TERMS OF SERVICE</a></li>
							</ul>
						</li>
					</ul>
					<div id="combo-holder"></div>
				</nav>
			</div>
		</header>

		


		<!-- MAIN -->
		<div id="main">	
			<div class="wrapper">
				
				<!-- home-block -->
	        	<div class="home-block" id="yc-converter-input" >
	        		<h2 class="home-block-heading"><span>CONVERT VIDEO</span></h2>
					<div class="yc-plusminus yc-newvideo">
						<a class="yc-plus-button poshytip" id="yc-newvideo-button" href="javascript:" title="Convert another song">Convert another song</a>
					</div>
	        		<div class="one-third-thumbs clearfix" >
						<div class="yc-inserturl">
							<div id="yc-urlform" class="center">
								<form id="urlForm" class="center" action="index.php" method="post">
									<fieldset>
										<div>
											<input name="url"  id="url" type="text" class="form-poshytip" title="Enter the URL of the Youtube Video" />
											<label>Youtube URL</label>
										</div>
										<input type="hidden" name="page" value="<? echo $YC_ROOT_PATH; ?>index.php" id="page" />
										<p><input type="submit" value="Convert" name="submit" id="submit" /> <span id="error" class="label">Video</span></p>
									</fieldset>
								</form>
							</div>
							<div id="yc-status" class="hidden center">
								<div class="yc-row">
									<div id="yc-url" class="yc-left"><h4>Videourl:</h4></div><div id="yc-url-value" class="yc-right">loading...</div>
								</div>
								<div class="yc-row">
									<div id="yc-size" class="yc-left"><h4>Size:</h4></div><div id="yc-size-value" class="yc-right">loading...</div>
								</div>
								<div class="yc-row">
									<div id="yc-fetched" class="yc-left"><h4>Fetched:</h4></div><div id="yc-fetched-value" class="yc-right">loading...</div>
								</div>
								<div class="yc-row">
									<div id="yc-speed" class="yc-left"><h4>Speed:</h4></div><div id="yc-speed-value" class="yc-right">loading...</div>
								</div>
								<div class="yc-row">
									<div id="yc-converted" class="yc-left"><h4>Converted:</h4></div><div id="yc-converted-value" class="yc-right">loading...</div>
								</div>

								<div id="yc-download" class="hidden yc-button-container center">
									<a id="yc-download-button" class="yc-button" href="#notconvertedyet" title="Download MP3">Download MP3</a>
								</div>
							</div>							
						</div>
						<div id="yc-analysis" class="hidden center">
							Analysing Video...
						</div>
	        		</div>
	        	</div>
	        	<!-- ENDS home-block -->
	        	
	        	
	        	<!-- home-block -->
	        	<div class="home-block" id="yc-last-conversions">
	        		<h2 class="home-block-heading"><span>LATEST CONVERSIONS</span></h2>
	        		<div id="yc-songlist" class="one-fourth-thumbs clearfix">
						<div id="yc-songlist-items" class="one-fourth-thumbs clearfix">
							<!-- songs will be listed here via ajax! -->
						</div>
						<ul class="flex-direction-nav">
							<li><a title="Show next" href="javascript: nextRow();" class="prev">Next</a></li>
							<li><a title="Show previous" href="javascript: prevRow();" class="next">Previous</a></li>
						</ul>
					</div>
					<div id="yc-songlist-loader" class="clearfix">
						<div class="yc-songlist-loader-icon center">
							<img src="<?php echo $tpl_root ?>img/ajax-loader.gif" alt="Loading Songlist...">
						</div>						
					</div>
				</div>
				<!-- ENDS home-block -->
			
				<!-- home-block -->
	        	<div class="home-block" id="yc-online-player">
	        		<h2 class="home-block-heading"><span>LISTEN TO CONVERTED SONGS</span></h2>
					<div class="yc-plusminus">
						<a class="yc-minus-button poshytip" id="yc-toggle-player" href="javascript:" title="Toggle Player">Toggle Player</a>
					</div>
	        		<div id="yc-player" class="one-fourth-thumbs clearfix">
						<!-- player -->
					</div>
				</div>
				<!-- ENDS home-block -->   
			</div>
		</div>
		<!-- ENDS MAIN -->
		
		
		<footer>
			<div class="wrapper">
					
				<div class="footer-bottom">
					<div class="left">Powered by <a title="sprinternet.at startpage" href="http://www.sprinternet.at" >sprinternet.at</a> | This webpage uses ajax for faster pageloading.</div>
					<div class="right">
						<ul id="social-bar">
							<!--li><a href="http://www.facebook.com"  title="Become a fan" class="poshytip"><img src="<?php echo $tpl_root ?>img/social/facebook.png"  alt="Facebook" /></a></li-->
							<!--li><a href="http://www.twitter.com" title="Follow my tweets" class="poshytip"><img src="<?php echo $tpl_root ?>img/social/twitter.png"  alt="twitter" /></a></li-->
							<!--li><a href="http://www.google.com"  title="Add to the circle" class="poshytip"><img src="<?php echo $tpl_root ?>img/social/plus.png" alt="Google plus" /></a></li-->
							<li><a href="mailto:webmaster@sprinternet.at"  title="Report a bug" class="poshytip"><img src="<?php echo $tpl_root ?>img/social/bug.png" alt="Bugreport" /></a></li>
						</ul>
					</div>
				</div>
				
			</div>
		</footer>
					
	</body>
	
</html>