<?php
session_start ();
if (is_dir('install/')) 
{
	die("Your Install Directory Still Exists, Please Remove Immediately!!!!");
}

$moduleurl = $_SERVER["REQUEST_URI"];
$urlcut = strpos($moduleurl, "&");
if($urlcut > 0)
{
	$moduleurl = substr($moduleurl,0,$urlcut);
}
else
{
	if(strpos($moduleurl, "?") == 0)
	{
		$moduleurl = $_SERVER["REQUEST_URI"] . "?site=1"; 	
	}
	if($_SERVER["REQUEST_URI"] == "/" || is_null($_SERVER["REQUEST_URI"]))
	{
		$moduleurl = "/index.php?site=1";
	}	
}

include($_SERVER["DOCUMENT_ROOT"]."/Config/_siteconfig_.php");

$tpl_root = $SITE_WEBROOT . "Themes/" . $SITE_THEME . "/";

?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US" xml:lang="en">
<head>
    <!--
    Designed by Christoph Haas
    -->
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="keywords" content="SprinterVPN, VPN, IPsec, OpenVPN, tunnel, secure" />
	<meta name="rights" content="© sprinternet.at" />
	<meta name="robots" content="noindex, nofollow" />
	<meta name="description" content="SprinterVPN VPN Services" />

	<title><?php echo $SITE_TITLE; ?> - <?php echo $SITE_SUBTITLE; ?></title>

	<script type="text/javascript">
		var templateroot = "<?php echo $tpl_root ?>";
	</script>

	<link rel="icon" href="<?php echo $tpl_root ?>img/favicon.ico" type="image/x-icon">
	<link rel="shortcut icon" href="<?php echo $tpl_root ?>img/favicon.ico" type="image/x-icon">
	
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/style.css"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
	<!-- Adding "maximum-scale=1" fixes the Mobile Safari auto-zoom bug: http://filamentgroup.com/examples/iosScaleBug/ -->
			
	<!-- JS -->
	<script src="<?php echo $tpl_root ?>js/jquery-1.6.4.min.js"></script>
	<script src="<?php echo $tpl_root ?>js/css3-mediaqueries.js"></script>
	<script src="<?php echo $tpl_root ?>js/custom.js"></script>
	<script src="<?php echo $tpl_root ?>js/tabs.js"></script>
	
	<!-- superfish -->
	<link rel="stylesheet" media="screen" href="<?php echo $tpl_root ?>css/superfish.css" /> 
	<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/hoverIntent.js"></script>
	<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/superfish.js"></script>
	<script  src="<?php echo $tpl_root ?>js/superfish-1.4.8/js/supersubs.js"></script>
	<!-- ENDS superfish -->
	
	<!-- prettyPhoto -->
	<script  src="<?php echo $tpl_root ?>js/prettyPhoto/js/jquery.prettyPhoto.js"></script>
	<link rel="stylesheet" href="<?php echo $tpl_root ?>js/prettyPhoto/css/prettyPhoto.css"  media="screen" />
	<!-- ENDS prettyPhoto -->
	
	<!-- poshytip -->
	<link rel="stylesheet" href="<?php echo $tpl_root ?>js/poshytip-1.1/src/tip-twitter/tip-twitter.css"  />
	<link rel="stylesheet" href="<?php echo $tpl_root ?>js/poshytip-1.1/src/tip-yellowsimple/tip-yellowsimple.css"  />
	<script  src="<?php echo $tpl_root ?>js/poshytip-1.1/src/jquery.poshytip.min.js"></script>
	<!-- ENDS poshytip -->
	
	<!-- GOOGLE FONTS -->
	<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/fonts.css"/>
	
	<!-- Flex Slider -->
	<link rel="stylesheet" href="<?php echo $tpl_root ?>css/flexslider.css" >
	<script src="<?php echo $tpl_root ?>js/jquery.flexslider-min.js"></script>
	<!-- ENDS Flex Slider -->
	
	<!-- Less framework -->
	<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/lessframework.css"/>
	
	<!-- modernizr -->
	<script src="<?php echo $tpl_root ?>js/modernizr.js"></script>
	
	<!-- SKIN -->
	<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/skin.css"/>	

	<!-- MAIN -->
	<link rel="stylesheet" media="all" href="<?php echo $tpl_root ?>css/main.css"/>
</head>

<body lang="en">	
	<script>
		document.body.className += ' js-enabled';
	</script>
	<div id="noscript">
		<div class="center jstext">YOU HAVE TO ENABLE JAVASCRIPT TO USE THIS PAGE!</div>
	</div>

	<header class="clearfix">
	
		<div class="wrapper clearfix">
			
			<a title="Startpage" href="index.php" id="logo"><img src="<?php echo $tpl_root ?>img/logo.png" alt="SprinterSVN"></a>
			<h1 class="yc-headline"><?php echo $SITE_TITLE; ?> - <?php echo $SITE_SUBTITLE; ?></h1>
			<nav>
				<ul id="nav" class="sf-menu">
					<li><a href="http://vpn.sprinternet.at/">HOME</a>
						<ul>
							<li>
								<a title="Webmail" href="https://www.sprinternet.at/webapp">WEBMAIL</a>
								<ul>
									<li><a title="Webaccess" href="https://www.sprinternet.at/webaccess">Webaccess</a></li>
								</ul>
							</li>
							<li><a title="Cloud" href="https://www.sprinternet.at/owncloud">CLOUD</a></li>
							<li><a title="Yuco" href="http://yuco.sprinternet.at/">YUCO</a></li>
							<li><a title="Blog" href="http://blog.sprinternet.at">BLOG</a></li>
							<li><a title="Wiki" href="http://www.sprinternet.at/wiki/doku.php?do=login">WIKI</a></li>
							<li><a title="SVN" href="http://svn.sprinternet.at">SVN</a></li>
							<li>
								<a title="Impressum" target="_blank" href="http://blog.sprinternet.at/impressum/">IMPRESSUM</a>
								<ul>
									<li><a title="Terms of Service" target="_blank" href="http://blog.sprinternet.at/terms-of-service/">TERMS OF SERVICE</a></li>
								</ul>
							</li>
						</ul>
					</li>
					<?php					
						$moduleid = 0;
						foreach ($SITE_MODULES_ADMIN as $modul) {
							$moduleid++;
							$cut = strpos($modul, "#");
							$modtitle = substr($modul,0,$cut);
							if($moduleid > 1) {
								echo "
									<li>
										<a title=\"".$modtitle."\"href=\"/Admin/index.php?site=" . $moduleid . "&uebergabe=0&uebergabe2=0&uebergabe3=0&uebergabe4=0\"";
										if($moduleurl == "/Admin/index.php?site=".$moduleid) 
											echo " class=active>";
										else
											echo ">";
								echo $modtitle . "
										</a>
									</li>";
							}
						}

						if (isset($_SESSION["user_admin"]) && $_SESSION["user_admin"]  == "1") { 
							echo "<li><a title=\"Logout\"href=\"Site/logout.php\">";
							echo "LOGOUT";
							echo "</a>";
							echo "</li>";
						}
                    ?>
				</ul>
				<div id="combo-holder"></div>
			</nav>
		</div>
	</header>

<?php /*
if(!isset($_SESSION["user_id"]))
{
	echo "<form action=\"Site/login.php\" method=\"post\"> 
		    			<b><font color=\"#FFFFFF\"> Username:</font></b>
		    			<input style=\"font-weight: bold; font-size:15px; color: white; background-color: black; opacity: .7;filter: alpha(opacity=70); -moz-opacity: .7;\" 
								type=\"text\" name=\"name\" size=\"20\"/>
		    			<b><font color=\"#FFFFFF\">Passwort:</font></b>
		    			<input style=\"font-size:15px; color: white; background-color: black; opacity: .7;filter: alpha(opacity=70); -moz-opacity: .7;\" 
								type=\"password\" name=\"pwd\" size=\"20\"/>";

echo "
						<input type=\"hidden\" name=\"path\" size=\"50\" value=\"".$moduleurl."\"/>
		    			<input type=\"submit\" value=\"Login\"/> 
					</form>";
}
*/?>  

<!-- MAIN CONTENT BEGINN ################################################################################ -->
